Subject: Re: [PATCH 3/3] tag: keep the message file in case ref transaction fails

From: Junio C Hamano <[email-masked]>
Date: Sun, 14 May 2023 23:59:50 -0700

Kristoffer Haugsbakk <[email-masked]> writes:

> The ref transaction can fail after the user has written their tag message. In
> particular, if there exists a tag `foo/bar` and `git tag -a foo` is said then
> the command will only fail once it tries to write `refs/tags/foo`, which is
> after one has closed the editor.
>
> Hold on to the message file for a little longer so that it is not unlinked
> before the fatal error occurs.
>
> Signed-off-by: Kristoffer Haugsbakk <[email-masked]>
> ---

As I said in my review of [1/3], TAG_EDITMSG should be documented
just like COMMIT_EDITMSG is documented.

Other than that, looking OK to me (I didn't read the patch very
carefully so I may have missed leaking and/or use after free,
though).

Thanks for working on this.